Bug 135823 - xmlrpc support broken
xmlrpc support broken
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
2.18
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
David Lawrence
http://bugzilla.redhat.com/beta1/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-15 05:36 EDT by Paul Nasrat
Modified: 2007-04-18 13:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-05 06:09:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Nasrat 2004-10-15 05:36:25 EDT
User-Agent:       
Build Identifier: 

I tried using bugtool but it seemed unhappy.  Simple test case:

#!/usr/bin/python
import xmlrpclib

bz = xmlrpclib.Server('https://bugzilla.redhat.com/beta1/xmlrpc.cgi')
bz.bugzilla.getBug(133045)



Reproducible: Always
Steps to Reproduce:
1. run python script


Actual Results:  
Exception occurs, xmlrpc fault.

Expected Results:  
Nice xmlrpc response with the bug required.

send: 'POST /beta1/xmlrpc.cgi HTTP/1.0\r\nHost:
bugzilla.redhat.com\r\nUser-Agent: xmlrpclib.py/1.0.1 (by
www.pythonware.com)\r\nContent-Type: text/xml\r\nContent-Length: 159\r\n\r\n'
send: "<?xml
version='1.0'?>\n<methodCall>\n<methodName>bugzilla.getBug</methodName>\n<params>\n<param>\n<value><int>133045</int></value>\n</param>\n</params>\n</methodCall>\n"
reply: 'HTTP/1.1 200 OK\r\n'
header: Date: Fri, 15 Oct 2004 09:32:01 GMT

header: Server: Apache/2.0.46 (Red Hat)

header: Connection: close

header: Content-Type: text/xml

body: '<?xml
version="1.0"?>\n<methodResponse>\n<fault>\n<value><struct>\n<member><name>faultString</name><value><string>error
executing RPC `bugzilla.getBug\'.\nUndefined subroutine
&amp;main::ConnectToDatabase called at /var/www/bugzilla/beta1/xmlrpc.cgi line
156.\n</string></value></member>\n<member><name>faultCode</name><value><i4>4</i4></value></member>\n</struct></value>\n</fault>\n</methodResponse>\n\n'
Comment 1 David Lawrence 2004-10-15 10:40:47 EDT
the XMLRPC interface has not yet been ported to the new 2.18 version currently.
It is on my list of todo items before gold. I will get you to try this again
when it is ported. In the mean time please use the old site url.
Comment 2 David Lawrence 2005-03-21 15:57:56 EST
Now that the beta is in production, you you verify that this is still broken?
Comment 3 David Lawrence 2005-04-04 16:23:57 EDT
XMLRPC support should be fully functional now in 2.18 (at least what could be
done with 2.17 ;). Please try your code again to see if this is fixed now and
close if so. Thanks.
Comment 4 Paul Nasrat 2005-04-05 06:09:50 EDT
Yeah tested with the python bugzilla module.

Note You need to log in before you can comment on or make changes to this bug.